﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Unity;

namespace FLY.HeatingHelper.UI.UiModule
{
    public class ViewModel_HeatThickDetector : INotifyPropertyChanged
    {
        public IThickHeatData _dat;
        public IThickHeatData Dat
        {
            get
            {
                return _dat;
            }
            set
            {
                _dat = value;
            }
        }

        public ViewModel_HeatThickDetector(FLY.Thick.Blowing.IService.IBlowingService blowing, IThickHeatData dat)
        {
            _dat = dat;
            Misc.BindingOperations.SetBinding(blowing, "OrgBoltNo", this, "CurrentResetBolt");

            NewResetBolt = CurrentResetBolt;
        }

        public bool HasData 
        {
            get
            {
                if (_dat == null) return false;
                if (_dat.TotalDataFrom != DateTime.MinValue) return true;
                return false;
            }
        }

        public int NewResetBolt { get; set; }

        public int CurrentResetBolt { get; set; }
        

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
